package com.nisum.bookstore.entity;

import lombok.*;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

@Document(collection = "books")
@NoArgsConstructor
@AllArgsConstructor
@Data
@Setter
@Getter
public class Book {

    @Id
    private String id;

    @Field(name = "name")
    private String name;

    @Field(name = "author")
    private String author;

    @Field(name = "publication")
    private String publication;
    @Field(name = "description")
    private String description;

}
