package com.nisum.bookstore.exceptions;

import org.springframework.http.HttpStatus;
import org.springframework.web.server.ResponseStatusException;
import reactor.core.publisher.Mono;

public class BookNotFoundException {

    public static <T> Mono<T> monoResponseBookNotFoundException( String id ) {
        return Mono.error(new ResponseStatusException(HttpStatus.NOT_FOUND, "Book ["+ id + "] not found"));
    }

}
